package com.brilliance.isc.swift.objmtconvert.model.mt4xx.tag.tag422;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt4xx.mt4XXAbsCreator.MT422AbsCreator;

/**
 * @author zh
 * @create 2023-02-27-17:27
 */
public class Tag32aCreator extends AbsTagCreate {
    private MT422AbsCreator mt422AbsCreator;

    public Tag32aCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt422AbsCreator= (MT422AbsCreator) absMTCreator;
    }

    public void creator()
    {
        handlerCurAmtCreator(mt422AbsCreator,"amountOfCollection");
    }
}
